## org.apache.jasper.servlet
Class ServletEngine

    java.lang.Object
      org.apache.jasper.servlet.ServletEngine

Direct Known Subclasses:
  TomcatServletEngine

public class ServletEngine
extends java.lang.Object

Simple class to factor out servlet runner dependencies from the JSP engine. There's a few motivations here: (a) ability for the JSP engine to be able to run on multiple servlet engines - 2.1 and 2.2 (b) ability for the JSP engine to take advantage of specific servlet engines; this is crucial from a J2EE point of view.

Author:
  Anil K. Vijendran, Harish Prabandham

Constructor Summary
`ServletEngine()`

Method Summary
`java.lang.ClassLoader` `getClassLoader(javax.servlet.ServletContext ctx)` Get the class loader for this ServletContext object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletEngine

    public ServletEngine()

Method Detail

### getClassLoader

    public java.lang.ClassLoader getClassLoader(javax.servlet.ServletContext ctx)

  Get the class loader for this ServletContext object.

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.